Locations
Create Location
Creates a new location.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
id?string
Unique identifier for the resource.
Format
uuidname*string
Human-readable name of the resource.
Length
1 <= lengthstreet?|
Street value for this resource.
postal_code?|
Postal Code value for this resource.
city?|
City value for this resource.
region?|
Region value for this resource.
iso_country?|
Iso Country value for this resource.
external_id?|
Identifier assigned by an external system.
is_default?boolean
Whether the resource is default.
key*string
Stable key used to identify the resource.
Length
1 <= lengthResponse Body
application/json
curl -X POST "https://api.getmateo.com/v1/locations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "key": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "external_id": "string", "is_default": true, "address_line": "string", "street": "string", "postal_code": "string", "city": "string", "region": "string", "iso_country": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}